Delete Project
DELETE
/v1/project-factory/projects/{project_slug}
const url = 'https://example.com/v1/project-factory/projects/example?tenant_id=';const options = { method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{"confirmation_project_slug":"example","grace_period_seconds":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://example.com/v1/project-factory/projects/example?tenant_id=' \ --header 'Content-Type: application/json' \ --data '{ "confirmation_project_slug": "example", "grace_period_seconds": 1 }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_slug
required
Project Slug
string
Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalProjectDeleteOut
object
tenant_id
required
Tenant Id
string
project_slug
required
Project Slug
string
deleted
Deleted
boolean
deletion_status
Deletion Status
string
deletion_requested_at
Deletion Requested At
string
purge_after
Purge After
string
grace_period_days
Grace Period Days
integer
grace_period_seconds
Grace Period Seconds
integer
temporal_job_id
Temporal Job Id
string
temporal_workflow_type
Temporal Workflow Type
string
notified_subject_keys
Notified Subject Keys
Array<string>
stack_analysis
Stack Analysis
Array<object>
object
key
additional properties
any
preserved_github_repo_slugs
Preserved Github Repo Slugs
Array<string>
removed_repository_bindings
Removed Repository Bindings
integer
removed_execution_workspaces
Removed Execution Workspaces
integer
removed_favorites
Removed Favorites
integer
Example
{ "deleted": false, "deletion_status": "", "deletion_requested_at": "", "purge_after": "", "grace_period_days": 7, "grace_period_seconds": 0, "temporal_job_id": "", "temporal_workflow_type": "", "removed_repository_bindings": 0, "removed_execution_workspaces": 0, "removed_favorites": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}